INCLUDE('procedure_eq.clw')

LIBFPTR_RT_CLOSED  					        EQUATE(0)
LIBFPTR_RT_SELL  					        EQUATE(1)
LIBFPTR_RT_SELL_RETURN  			        EQUATE(2)
LIBFPTR_RT_SELL_CORRECTION  		        EQUATE(7)
LIBFPTR_RT_SELL_RETURN_CORRECTION  	        EQUATE(8)
LIBFPTR_RT_BUY  					        EQUATE(4)
LIBFPTR_RT_BUY_RETURN  				        EQUATE(5)
LIBFPTR_RT_BUY_CORRECTION  			        EQUATE(9)
LIBFPTR_RT_BUY_RETURN_CORRECTION  	        EQUATE(10)

!  
ATOL:DOC:CHK      EQUATE(LIBFPTR_RT_SELL)                   ! 
ATOL:DOC:BK_CHK   EQUATE(LIBFPTR_RT_SELL_RETURN)            
ATOL:DOC:RCHK     EQUATE(LIBFPTR_RT_BUY)                    ! 
ATOL:DOC:BK_RCHK  EQUATE(LIBFPTR_RT_BUY_RETURN)             !  
ATOL:DOC:KCHK     EQUATE(LIBFPTR_RT_BUY_CORRECTION)         !  
ATOL:DOC:BK_KCHK  EQUATE(LIBFPTR_RT_BUY_RETURN_CORRECTION)  !  

!  ,  
ATOL:CASH_IN      EQUATE(1)
ATOL:CASH_OUT     EQUATE(2)

ATOL:Committent   GROUP,TYPE
Name                STRING(256)
INN                 STRING(30)
Phone               STRING(30)
                  END

ATOL:Kassir       GROUP,TYPE
Name                STRING(64)
INN                 STRING(30) !  
                  END

ATOL:Correction   GROUP,TYPE
Text                STRING(256)
DocDate             LONG
DocNum              STRING(32)
                  END
                  
!        
ATOL:Header       GROUP,TYPE
DocType             BYTE
AccountStr          STRING(64)
Kassir              GROUP(ATOL:Kassir).
PhoneNumber         STRING(64)
EMail               STRING(64)
Comment             STRING(256)
Electronically      BYTE
Correction          GROUP(ATOL:Correction).
RecipientName       STRING(255)
RecipientINN        STRING(30)
FlagCommissioner    BYTE
!Committent          GROUP(ATOL:Committent).  !    
                  END
                  
!            
ATOL:Goods        QUEUE,TYPE
GoodsName           STRING(64)
Price               DECIMAL(20,2)
Qty                 DECIMAL(20,3)
ItemType            BYTE
PaymentMode         BYTE
NDS_Type            BYTE
SumNDS              DECIMAL(22,2)
Info                STRING(200)
GTD                 STRING(30)
CountryCode         LONG
Committent          GROUP(ATOL:Committent).
                  END
                  
!           
ATOL:Payments     QUEUE,TYPE
Summa               DECIMAL(20,2)
Counter             BYTE
                  END
                  
!       
ATOL:Info         QUEUE,TYPE
Info                STRING(80)
Summa               DECIMAL(20,2)
                  END

LIBFPTR_AT_NONE                             EQUATE(00H)
LIBFPTR_AT_BANK_PAYING_AGENT                EQUATE(01H)
LIBFPTR_AT_BANK_PAYING_SUBAGENT             EQUATE(02H)
LIBFPTR_AT_PAYING_AGENT                     EQUATE(04H)
LIBFPTR_AT_PAYING_SUBAGENT                  EQUATE(08H)
LIBFPTR_AT_ATTORNEY                         EQUATE(10H)
LIBFPTR_AT_COMMISSION_AGENT                 EQUATE(20H)
LIBFPTR_AT_ANOTHER                          EQUATE(40H)


LIBFPTR_CT_FULL                             EQUATE(0)
LIBFPTR_CT_PART                             EQUATE(1)

                                            ITEMIZE
LIBFPTR_TW_NONE 							  EQUATE(0)
LIBFPTR_TW_WORDS                              EQUATE
LIBFPTR_TW_CHARS                              EQUATE
                                            END

                                            ITEMIZE
LIBFPTR_TM_POSITION                           EQUATE(0)
LIBFPTR_TM_UNIT                               EQUATE
                                            END
                                             
                                            ITEMIZE
LIBFPTR_PT_CASH                               EQUATE(0)
LIBFPTR_PT_ELECTRONICALLY                     EQUATE
LIBFPTR_PT_PREPAID                            EQUATE
LIBFPTR_PT_CREDIT                             EQUATE
LIBFPTR_PT_OTHER                              EQUATE
LIBFPTR_PT_6                                  EQUATE
LIBFPTR_PT_7                                  EQUATE
LIBFPTR_PT_8                                  EQUATE
LIBFPTR_PT_9                                  EQUATE
LIBFPTR_PT_10                                 EQUATE
                                            END

                                            ITEMIZE
LIBFPTR_TAX_DEPARTMENT                        EQUATE(0)
LIBFPTR_TAX_VAT18                             EQUATE
LIBFPTR_TAX_VAT10                             EQUATE
LIBFPTR_TAX_VAT118                            EQUATE
LIBFPTR_TAX_VAT110                            EQUATE
LIBFPTR_TAX_VAT0                              EQUATE
LIBFPTR_TAX_NO                                EQUATE
LIBFPTR_TAX_VAT20                             EQUATE
LIBFPTR_TAX_VAT120                            EQUATE
                                            END

                                            ITEMIZE
LIBFPTR_RT_CLOSE_SHIFT                        EQUATE(0)
LIBFPTR_RT_X                                  EQUATE
LIBFPTR_RT_LAST_DOCUMENT                      EQUATE
LIBFPTR_RT_OFD_EXCHANGE_STATUS                EQUATE
LIBFPTR_RT_KKT_DEMO                           EQUATE
LIBFPTR_RT_KKT_INFO                           EQUATE
LIBFPTR_RT_OFD_TEST                           EQUATE
LIBFPTR_RT_FN_DOC_BY_NUMBER                   EQUATE
LIBFPTR_RT_QUANTITY                           EQUATE
LIBFPTR_RT_DEPARTMENTS                        EQUATE
LIBFPTR_RT_OPERATORS                          EQUATE
LIBFPTR_RT_HOURS                              EQUATE
LIBFPTR_RT_FN_REGISTRATIONS                   EQUATE
LIBFPTR_RT_FN_SHIFT_TOTAL_COUNTERS            EQUATE
LIBFPTR_RT_FN_TOTAL_COUNTERS                  EQUATE
LIBFPTR_RT_FN_NOT_SENT_DOCUMENTS_COUNTERS     EQUATE
LIBFPTR_RT_COMMODITIES_BY_TAXATION_TYPES      EQUATE
LIBFPTR_RT_COMMODITIES_BY_DEPARTMENTS         EQUATE
LIBFPTR_RT_COMMODITIES_BY_SUMS                EQUATE
LIBFPTR_RT_START_SERVICE                      EQUATE
LIBFPTR_RT_DISCOUNTS                          EQUATE
                                            END

LIBFPTR_PORT_BR_1200                        EQUATE(1200)
LIBFPTR_PORT_BR_2400                        EQUATE(2400)
LIBFPTR_PORT_BR_4800                        EQUATE(4800)
LIBFPTR_PORT_BR_9600                        EQUATE(9600)
LIBFPTR_PORT_BR_19200                       EQUATE(19200)
LIBFPTR_PORT_BR_38400                       EQUATE(38400)
LIBFPTR_PORT_BR_57600                       EQUATE(57600)
LIBFPTR_PORT_BR_115200                      EQUATE(115200)
LIBFPTR_PORT_BR_230400                      EQUATE(230400)
LIBFPTR_PORT_BR_460800                      EQUATE(460800)
LIBFPTR_PORT_BR_921600                      EQUATE(921600)

LIBFPTR_MODEL_UNKNOWN                       EQUATE(0)
LIBFPTR_MODEL_ATOL_AUTO                     EQUATE(500)
LIBFPTR_MODEL_ATOL_11F                      EQUATE(67)
LIBFPTR_MODEL_ATOL_15F                      EQUATE(78)
LIBFPTR_MODEL_ATOL_20F                      EQUATE(81)
LIBFPTR_MODEL_ATOL_22F                      EQUATE(63)
LIBFPTR_MODEL_ATOL_25F                      EQUATE(57)
LIBFPTR_MODEL_ATOL_27F                      EQUATE(87)
LIBFPTR_MODEL_ATOL_30F                      EQUATE(61)
LIBFPTR_MODEL_ATOL_42FS                     EQUATE(77)
LIBFPTR_MODEL_ATOL_50F                      EQUATE(80)
LIBFPTR_MODEL_ATOL_52F                      EQUATE(64)
LIBFPTR_MODEL_ATOL_55F                      EQUATE(62)
LIBFPTR_MODEL_ATOL_60F                      EQUATE(75)
LIBFPTR_MODEL_ATOL_77F                      EQUATE(69)
LIBFPTR_MODEL_ATOL_90F                      EQUATE(72)
LIBFPTR_MODEL_ATOL_91F                      EQUATE(82)
LIBFPTR_MODEL_ATOL_92F                      EQUATE(84)
LIBFPTR_MODEL_ATOL_SIGMA_10                 EQUATE(86)
LIBFPTR_MODEL_ATOL_SIGMA_7F                 EQUATE(90)
LIBFPTR_MODEL_ATOL_SIGMA_8F                 EQUATE(91)
LIBFPTR_MODEL_KAZNACHEY_FA                  EQUATE(76)
LIBFPTR_MODEL_ATOL_1F                       EQUATE(93)


                                            ITEMIZE
LIBFPTR_PORT_COM                              EQUATE(0)
LIBFPTR_PORT_USB                              EQUATE
LIBFPTR_PORT_TCPIP                            EQUATE
LIBFPTR_PORT_BLUETOOTH                        EQUATE
                                            END

! libfptr_kkt_data_type
                                            ITEMIZE
LIBFPTR_DT_STATUS                             EQUATE(0)
LIBFPTR_DT_CASH_SUM                           EQUATE
LIBFPTR_DT_UNIT_VERSION                       EQUATE
LIBFPTR_DT_PICTURE_INFO                       EQUATE
LIBFPTR_DT_LICENSE_ACTIVATED                  EQUATE
LIBFPTR_DT_REGISTRATIONS_SUM                  EQUATE
LIBFPTR_DT_REGISTRATIONS_COUNT                EQUATE
LIBFPTR_DT_PAYMENT_SUM                        EQUATE
LIBFPTR_DT_CASHIN_SUM                         EQUATE
LIBFPTR_DT_CASHIN_COUNT                       EQUATE
LIBFPTR_DT_CASHOUT_SUM                        EQUATE
LIBFPTR_DT_CASHOUT_COUNT                      EQUATE
LIBFPTR_DT_REVENUE                            EQUATE
LIBFPTR_DT_DATE_TIME                          EQUATE
LIBFPTR_DT_SHIFT_STATE                        EQUATE
LIBFPTR_DT_RECEIPT_STATE                      EQUATE
LIBFPTR_DT_SERIAL_NUMBER                      EQUATE
LIBFPTR_DT_MODEL_INFO                         EQUATE
LIBFPTR_DT_RECEIPT_LINE_LENGTH                EQUATE
LIBFPTR_DT_CUTTER_RESOURCE                    EQUATE
LIBFPTR_DT_STEP_RESOURCE                      EQUATE
LIBFPTR_DT_TERMAL_RESOURCE                    EQUATE
LIBFPTR_DT_ENVD_MODE                          EQUATE
LIBFPTR_DT_SHIFT_TAX_SUM                      EQUATE
LIBFPTR_DT_RECEIPT_TAX_SUM                    EQUATE
LIBFPTR_DT_NON_NULLABLE_SUM                   EQUATE
LIBFPTR_DT_RECEIPT_COUNT                      EQUATE
LIBFPTR_DT_CANCELLATION_COUNT_ALL             EQUATE
LIBFPTR_DT_CANCELLATION_SUM                   EQUATE
LIBFPTR_DT_CANCELLATION_SUM_ALL               EQUATE
LIBFPTR_DT_POWER_SOURCE_STATE                 EQUATE
LIBFPTR_DT_CANCELLATION_COUNT                 EQUATE
LIBFPTR_DT_NON_NULLABLE_SUM_BY_PAYMENTS       EQUATE
LIBFPTR_DT_PRINTER_TEMPERATURE                EQUATE
LIBFPTR_DT_FATAL_STATUS                       EQUATE
LIBFPTR_DT_MAC_ADDRESS                        EQUATE
LIBFPTR_DT_DEVICE_UPTIME                      EQUATE
LIBFPTR_DT_RECEIPT_BYTE_COUNT                 EQUATE
LIBFPTR_DT_DISCOUNT_AND_SURCHARGE_SUM         EQUATE
LIBFPTR_DT_LK_USER_CODE                       EQUATE
LIBFPTR_DT_LAST_SENT_OFD_DOCUMENT_DATE_TIME   EQUATE
LIBFPTR_DT_SHORT_STATUS                       EQUATE
LIBFPTR_DT_PICTURES_ARRAY_INFO                EQUATE
LIBFPTR_DT_ETHERNET_INFO                      EQUATE
                                            END

LIBFPTR_SETTING_ACCESS_PASSWORD             EQUATE('AccessPassword')
LIBFPTR_SETTING_BAUDRATE                    EQUATE('BaudRate')
LIBFPTR_SETTING_BITS                        EQUATE('Bits')
LIBFPTR_SETTING_BT_AUTODISABLE              EQUATE('AutoDisableBluetooth')
LIBFPTR_SETTING_BT_AUTOENABLE               EQUATE('AutoEnableBluetooth')
LIBFPTR_SETTING_COM_FILE                    EQUATE('ComFile')
LIBFPTR_SETTING_EXISTED_COM_FILES           EQUATE('ExistedComFiles')
LIBFPTR_SETTING_IPADDRESS                   EQUATE('IPAddress')
LIBFPTR_SETTING_IPPORT                      EQUATE('IPPort')
LIBFPTR_SETTING_LIBRARY_PATH                EQUATE('LibraryPath')
LIBFPTR_SETTING_MACADDRESS                  EQUATE('MACAddress')
LIBFPTR_SETTING_MODEL                       EQUATE('Model')
LIBFPTR_SETTING_OFD_CHANNEL                 EQUATE('OfdChannel')
LIBFPTR_SETTING_PARITY                      EQUATE('Parity')
LIBFPTR_SETTING_PORT                        EQUATE('Port')
LIBFPTR_SETTING_STOPBITS                    EQUATE('StopBits')
LIBFPTR_SETTING_USB_DEVICE_PATH             EQUATE('UsbDevicePath')
LIBFPTR_SETTING_USER_PASSWORD               EQUATE('UserPassword')
                                            
LIBFPTR_GUI_PARENT_NATIVE                   EQUATE('0')
LIBFPTR_GUI_PARENT_QT                       EQUATE('1')
                                            
LIBFPTR_OK                                  EQUATE(0)
LIBFPTR_ERROR                               EQUATE(-1)

                                            ITEMIZE
LIBFPTR_PARAM_FIRST                           EQUATE(65536)
LIBFPTR_PARAM_TEXT                            EQUATE(LIBFPTR_PARAM_FIRST)
LIBFPTR_PARAM_TEXT_WRAP                       EQUATE
LIBFPTR_PARAM_ALIGNMENT                       EQUATE
LIBFPTR_PARAM_FONT                            EQUATE
LIBFPTR_PARAM_FONT_DOUBLE_WIDTH               EQUATE
LIBFPTR_PARAM_FONT_DOUBLE_HEIGHT              EQUATE
LIBFPTR_PARAM_LINESPACING                     EQUATE
LIBFPTR_PARAM_BRIGHTNESS                      EQUATE
LIBFPTR_PARAM_MODEL                           EQUATE
LIBFPTR_PARAM_RECEIPT_TYPE                    EQUATE
LIBFPTR_PARAM_REPORT_TYPE                     EQUATE
LIBFPTR_PARAM_MODE                            EQUATE
LIBFPTR_PARAM_EXTERNAL_DEVICE_TYPE            EQUATE
LIBFPTR_PARAM_EXTERNAL_DEVICE_DATA            EQUATE
LIBFPTR_PARAM_FREQUENCY                       EQUATE
LIBFPTR_PARAM_DURATION                        EQUATE
LIBFPTR_PARAM_CUT_TYPE                        EQUATE
LIBFPTR_PARAM_DRAWER_ON_TIMEOUT               EQUATE
LIBFPTR_PARAM_DRAWER_OFF_TIMEOUT              EQUATE
LIBFPTR_PARAM_DRAWER_ON_QUANTITY              EQUATE
LIBFPTR_PARAM_TIMEOUT_ENQ                     EQUATE
LIBFPTR_PARAM_COMMAND_BUFFER                  EQUATE
LIBFPTR_PARAM_ANSWER_BUFFER                   EQUATE
LIBFPTR_PARAM_SERIAL_NUMBER                   EQUATE
LIBFPTR_PARAM_MANUFACTURER_CODE               EQUATE
LIBFPTR_PARAM_NO_NEED_ANSWER                  EQUATE
LIBFPTR_PARAM_INFO_DISCOUNT_SUM               EQUATE
LIBFPTR_PARAM_USE_ONLY_TAX_TYPE               EQUATE
LIBFPTR_PARAM_PAYMENT_TYPE                    EQUATE
LIBFPTR_PARAM_PAYMENT_SUM                     EQUATE
LIBFPTR_PARAM_REMAINDER                       EQUATE
LIBFPTR_PARAM_CHANGE                          EQUATE
LIBFPTR_PARAM_DEPARTMENT                      EQUATE
LIBFPTR_PARAM_TAX_TYPE                        EQUATE
LIBFPTR_PARAM_TAX_SUM                         EQUATE
LIBFPTR_PARAM_TAX_MODE                        EQUATE
LIBFPTR_PARAM_RECEIPT_ELECTRONICALLY          EQUATE
LIBFPTR_PARAM_USER_PASSWORD                   EQUATE
LIBFPTR_PARAM_SCALE                           EQUATE
LIBFPTR_PARAM_LEFT_MARGIN                     EQUATE
LIBFPTR_PARAM_BARCODE                         EQUATE
LIBFPTR_PARAM_BARCODE_TYPE                    EQUATE
LIBFPTR_PARAM_BARCODE_PRINT_TEXT              EQUATE
LIBFPTR_PARAM_BARCODE_VERSION                 EQUATE
LIBFPTR_PARAM_BARCODE_CORRECTION              EQUATE
LIBFPTR_PARAM_BARCODE_COLUMNS                 EQUATE
LIBFPTR_PARAM_BARCODE_INVERT                  EQUATE
LIBFPTR_PARAM_HEIGHT                          EQUATE
LIBFPTR_PARAM_WIDTH                           EQUATE
LIBFPTR_PARAM_FILENAME                        EQUATE
LIBFPTR_PARAM_PICTURE_NUMBER                  EQUATE
LIBFPTR_PARAM_DATA_TYPE                       EQUATE
LIBFPTR_PARAM_OPERATOR_ID                     EQUATE
LIBFPTR_PARAM_LOGICAL_NUMBER                  EQUATE
LIBFPTR_PARAM_DATE_TIME                       EQUATE
LIBFPTR_PARAM_FISCAL                          EQUATE
LIBFPTR_PARAM_SHIFT_STATE                     EQUATE
LIBFPTR_PARAM_CASHDRAWER_OPENED               EQUATE
LIBFPTR_PARAM_RECEIPT_PAPER_PRESENT           EQUATE
LIBFPTR_PARAM_COVER_OPENED                    EQUATE
LIBFPTR_PARAM_SUBMODE                         EQUATE
LIBFPTR_PARAM_RECEIPT_NUMBER                  EQUATE
LIBFPTR_PARAM_DOCUMENT_NUMBER                 EQUATE
LIBFPTR_PARAM_SHIFT_NUMBER                    EQUATE
LIBFPTR_PARAM_RECEIPT_SUM                     EQUATE
LIBFPTR_PARAM_RECEIPT_LINE_LENGTH             EQUATE
LIBFPTR_PARAM_RECEIPT_LINE_LENGTH_PIX         EQUATE
LIBFPTR_PARAM_MODEL_NAME                      EQUATE
LIBFPTR_PARAM_UNIT_VERSION                    EQUATE
LIBFPTR_PARAM_PRINTER_CONNECTION_LOST         EQUATE
LIBFPTR_PARAM_PRINTER_ERROR                   EQUATE
LIBFPTR_PARAM_CUT_ERROR                       EQUATE
LIBFPTR_PARAM_PRINTER_OVERHEAT                EQUATE
LIBFPTR_PARAM_UNIT_TYPE                       EQUATE
LIBFPTR_PARAM_LICENSE_NUMBER                  EQUATE
LIBFPTR_PARAM_LICENSE_ENTERED                 EQUATE
LIBFPTR_PARAM_LICENSE                         EQUATE
LIBFPTR_PARAM_SUM                             EQUATE
LIBFPTR_PARAM_COUNT                           EQUATE
LIBFPTR_PARAM_COUNTER_TYPE                    EQUATE
LIBFPTR_PARAM_STEP_COUNTER_TYPE               EQUATE
LIBFPTR_PARAM_ERROR_TAG_NUMBER                EQUATE
LIBFPTR_PARAM_TABLE                           EQUATE
LIBFPTR_PARAM_ROW                             EQUATE
LIBFPTR_PARAM_FIELD                           EQUATE
LIBFPTR_PARAM_FIELD_VALUE                     EQUATE
LIBFPTR_PARAM_FN_DATA_TYPE                    EQUATE
LIBFPTR_PARAM_TAG_NUMBER                      EQUATE
LIBFPTR_PARAM_TAG_VALUE                       EQUATE
LIBFPTR_PARAM_DOCUMENTS_COUNT                 EQUATE
LIBFPTR_PARAM_FISCAL_SIGN                     EQUATE
LIBFPTR_PARAM_DEVICE_FFD_VERSION              EQUATE
LIBFPTR_PARAM_FN_FFD_VERSION                  EQUATE
LIBFPTR_PARAM_FFD_VERSION                     EQUATE
LIBFPTR_PARAM_CHECK_SUM                       EQUATE
LIBFPTR_PARAM_COMMODITY_NAME                  EQUATE
LIBFPTR_PARAM_PRICE                           EQUATE
LIBFPTR_PARAM_QUANTITY                        EQUATE
LIBFPTR_PARAM_POSITION_SUM                    EQUATE
LIBFPTR_PARAM_FN_TYPE                         EQUATE
LIBFPTR_PARAM_FN_VERSION                      EQUATE
LIBFPTR_PARAM_REGISTRATIONS_REMAIN            EQUATE
LIBFPTR_PARAM_REGISTRATIONS_COUNT             EQUATE
LIBFPTR_PARAM_NO_ERROR_IF_NOT_SUPPORTED       EQUATE
LIBFPTR_PARAM_OFD_EXCHANGE_STATUS             EQUATE
LIBFPTR_PARAM_FN_ERROR_DATA                   EQUATE
LIBFPTR_PARAM_FN_ERROR_CODE                   EQUATE
LIBFPTR_PARAM_ENVD_MODE                       EQUATE
LIBFPTR_PARAM_DOCUMENT_CLOSED                 EQUATE
LIBFPTR_PARAM_JSON_DATA                       EQUATE
LIBFPTR_PARAM_COMMAND_SUBSYSTEM               EQUATE
LIBFPTR_PARAM_FN_OPERATION_TYPE               EQUATE
LIBFPTR_PARAM_FN_STATE                        EQUATE
LIBFPTR_PARAM_ENVD_MODE_ENABLED               EQUATE
LIBFPTR_PARAM_SETTING_ID                      EQUATE
LIBFPTR_PARAM_SETTING_VALUE                   EQUATE
LIBFPTR_PARAM_MAPPING_KEY                     EQUATE
LIBFPTR_PARAM_MAPPING_VALUE                   EQUATE
LIBFPTR_PARAM_COMMODITY_PIECE                 EQUATE
LIBFPTR_PARAM_POWER_SOURCE_TYPE               EQUATE
LIBFPTR_PARAM_BATTERY_CHARGE                  EQUATE
LIBFPTR_PARAM_VOLTAGE                         EQUATE
LIBFPTR_PARAM_USE_BATTERY                     EQUATE
LIBFPTR_PARAM_BATTERY_CHARGING                EQUATE
LIBFPTR_PARAM_CAN_PRINT_WHILE_ON_BATTERY      EQUATE
LIBFPTR_PARAM_MAC_ADDRESS                     EQUATE
LIBFPTR_PARAM_FN_FISCAL                       EQUATE
LIBFPTR_PARAM_NETWORK_ERROR                   EQUATE
LIBFPTR_PARAM_OFD_ERROR                       EQUATE
LIBFPTR_PARAM_FN_ERROR                        EQUATE
LIBFPTR_PARAM_COMMAND_CODE                    EQUATE
LIBFPTR_PARAM_PRINTER_TEMPERATURE             EQUATE
LIBFPTR_PARAM_RECORDS_TYPE                    EQUATE
LIBFPTR_PARAM_OFD_FISCAL_SIGN                 EQUATE
LIBFPTR_PARAM_HAS_OFD_TICKET                  EQUATE
LIBFPTR_PARAM_NO_SERIAL_NUMBER                EQUATE
LIBFPTR_PARAM_RTC_FAULT                       EQUATE
LIBFPTR_PARAM_SETTINGS_FAULT                  EQUATE
LIBFPTR_PARAM_COUNTERS_FAULT                  EQUATE
LIBFPTR_PARAM_USER_MEMORY_FAULT               EQUATE
LIBFPTR_PARAM_SERVICE_COUNTERS_FAULT          EQUATE
LIBFPTR_PARAM_ATTRIBUTES_FAULT                EQUATE
LIBFPTR_PARAM_FN_FAULT                        EQUATE
LIBFPTR_PARAM_INVALID_FN                      EQUATE
LIBFPTR_PARAM_HARD_FAULT                      EQUATE
LIBFPTR_PARAM_MEMORY_MANAGER_FAULT            EQUATE
LIBFPTR_PARAM_SCRIPTS_FAULT                   EQUATE
LIBFPTR_PARAM_FULL_RESET                      EQUATE
LIBFPTR_PARAM_WAIT_FOR_REBOOT                 EQUATE
LIBFPTR_PARAM_SCALE_PERCENT                   EQUATE
LIBFPTR_PARAM_FN_NEED_REPLACEMENT             EQUATE
LIBFPTR_PARAM_FN_RESOURCE_EXHAUSTED           EQUATE
LIBFPTR_PARAM_FN_MEMORY_OVERFLOW              EQUATE
LIBFPTR_PARAM_FN_OFD_TIMEOUT                  EQUATE
LIBFPTR_PARAM_FN_CRITICAL_ERROR               EQUATE
LIBFPTR_PARAM_OFD_MESSAGE_READ                EQUATE
LIBFPTR_PARAM_DEVICE_MIN_FFD_VERSION          EQUATE
LIBFPTR_PARAM_DEVICE_MAX_FFD_VERSION          EQUATE
LIBFPTR_PARAM_DEVICE_UPTIME                   EQUATE
LIBFPTR_PARAM_NOMENCLATURE_TYPE               EQUATE
LIBFPTR_PARAM_GTIN                            EQUATE
LIBFPTR_PARAM_FN_DOCUMENT_TYPE                EQUATE
LIBFPTR_PARAM_NETWORK_ERROR_TEXT              EQUATE
LIBFPTR_PARAM_FN_ERROR_TEXT                   EQUATE
LIBFPTR_PARAM_OFD_ERROR_TEXT                  EQUATE
LIBFPTR_PARAM_USER_SCRIPT_ID                  EQUATE
LIBFPTR_PARAM_USER_SCRIPT_PARAMETER           EQUATE
LIBFPTR_PARAM_USER_MEMORY_OPERATION           EQUATE
LIBFPTR_PARAM_USER_MEMORY_DATA                EQUATE
LIBFPTR_PARAM_USER_MEMORY_STRING              EQUATE
LIBFPTR_PARAM_USER_MEMORY_ADDRESS             EQUATE
LIBFPTR_PARAM_FN_PRESENT                      EQUATE
LIBFPTR_PARAM_BLOCKED                         EQUATE
LIBFPTR_PARAM_DOCUMENT_PRINTED                EQUATE
LIBFPTR_PARAM_DISCOUNT_SUM                    EQUATE
LIBFPTR_PARAM_SURCHARGE_SUM                   EQUATE
LIBFPTR_PARAM_LK_USER_CODE                    EQUATE
LIBFPTR_PARAM_LICENSE_COUNT                   EQUATE
LIBFPTR_PARAM_DEFER                           EQUATE
LIBFPTR_PARAM_CAP_54FZ                        EQUATE
LIBFPTR_PARAM_CAP_MANUAL_CLICHE_CONTROL       EQUATE
LIBFPTR_PARAM_CAP_PAYMENTS_COUNT              EQUATE
LIBFPTR_PARAM_FIRMWARE_CHUNK_SIZE             EQUATE
LIBFPTR_PARAM_FIRMWARE_CHUNK_DATA             EQUATE
LIBFPTR_PARAM_FN_FLAGS                        EQUATE
LIBFPTR_PARAM_PRINT_FOOTER                    EQUATE
LIBFPTR_PARAM_PUBLIC_KEY                      EQUATE
LIBFPTR_PARAM_MAGIC_NUMBER                    EQUATE
LIBFPTR_PARAM_SIGN                            EQUATE
LIBFPTR_PARAM_SOFT_NAME                       EQUATE
LIBFPTR_PARAM_SESSION_CODE                    EQUATE
LIBFPTR_PARAM_ETHERNET_CONFIG_TIMEOUT         EQUATE
LIBFPTR_PARAM_ETHERNET_DHCP                   EQUATE
LIBFPTR_PARAM_ETHERNET_IP                     EQUATE
LIBFPTR_PARAM_ETHERNET_MASK                   EQUATE
LIBFPTR_PARAM_ETHERNET_GATEWAY                EQUATE
LIBFPTR_PARAM_ETHERNET_PORT                   EQUATE
LIBFPTR_PARAM_ETHERNET_DNS_IP                 EQUATE
LIBFPTR_PARAM_ETHERNET_DNS_STATIC             EQUATE
LIBFPTR_PARAM_STORE_IN_JOURNAL                EQUATE
LIBFPTR_PARAM_NEW_PLATFORM                    EQUATE
LIBFPTR_PARAM_UNIT_RELEASE_VERSION            EQUATE
LIBFPTR_PARAM_USE_VAT18                       EQUATE
LIBFPTR_PARAM_LAST                            EQUATE
                                            END
